%define upstream_name    Locale-Codes
%define upstream_version 3.84

# From FC:
# Filter dependencies on private modules. Generator:
# for F in $(find lib -type f); do perl -e '$/ = undef; $_ = <>; if (/^package #\R([\w:]*);/m) { print qq{|^perl\\\\($1\\\\)} }' "$F"; done
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Locale::Codes::Country_Retired\\)|^perl\\(Locale::Codes::LangFam_Retired\\)|^perl\\(Locale::Codes::Script_Retired\\)|^perl\\(Locale::Codes::LangExt_Codes\\)|^perl\\(Locale::Codes::LangFam_Codes\\)|^perl\\(Locale::Codes::Script_Codes\\)|^perl\\(Locale::Codes::Language_Codes\\)|^perl\\(Locale::Codes::LangExt_Retired\\)|^perl\\(Locale::Codes::Currency_Codes\\)|^perl\\(Locale::Codes::LangVar_Retired\\)|^perl\\(Locale::Codes::Language_Retired\\)|^perl\\(Locale::Codes::Country_Codes\\)|^perl\\(Locale::Codes::LangVar_Codes\\)|^perl\\(Locale::Codes::Currency_Retired\\)

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Standard language codes (such as ISO 639)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Locale/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::Inter) >= 1.90.0
BuildRequires: perl(Test::More)
BuildRequires: perl(if)
BuildRequires: perl(utf8)
BuildArch:  noarch

%description
Locale::Codes is a distribution containing a set of modules. The modules
each deal with different types of codes which identify parts of the locale
including languages, countries, currency, etc.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Mon Jun 16 2025 tv <tv> 3.840.0-1.mga10
+ Revision: 2191983
- update to 3.84

* Tue Jun 10 2025 tv <tv> 3.830.0-1.mga10
+ Revision: 2190298
- update to 3.83

* Fri Mar 07 2025 tv <tv> 3.820.0-1.mga10
+ Revision: 2161786
- update to 3.82

* Fri Jan 24 2025 tv <tv> 3.810.0-1.mga10
+ Revision: 2141580
- update to 3.81

* Sat Sep 07 2024 tv <tv> 3.800.0-1.mga10
+ Revision: 2093523
- update to 3.80

* Wed Jun 05 2024 tv <tv> 3.790.0-1.mga10
+ Revision: 2070211
- update to 3.79

* Mon Mar 11 2024 tv <tv> 3.780.0-1.mga10
+ Revision: 2049156
- update to 3.78

* Mon Dec 04 2023 tv <tv> 3.770.0-1.mga10
+ Revision: 2012988
- update to 3.77

* Sun Sep 10 2023 tv <tv> 3.760.0-1.mga10
+ Revision: 1985732
- update to 3.76

* Wed Sep 06 2023 tv <tv> 3.750.0-1.mga10
+ Revision: 1984785
- update to 3.75

* Wed Aug 30 2023 tv <tv> 3.740.0-1.mga10
+ Revision: 1981097
- update to 3.74

* Mon Sep 05 2022 tv <tv> 3.720.0-1.mga9
+ Revision: 1884212
- update to 3.72

* Sun Jun 05 2022 tv <tv> 3.710.0-1.mga9
+ Revision: 1861280
- update to 3.71

* Mon Mar 21 2022 umeabot <umeabot> 3.700.0-2.mga9
+ Revision: 1816555
- Mageia 9 Mass Rebuild

* Fri Mar 04 2022 tv <tv> 3.700.0-1.mga9
+ Revision: 1788394
- update to 3.70

* Sat Dec 04 2021 tv <tv> 3.690.0-1.mga9
+ Revision: 1760700
- update to 3.69

* Fri Sep 10 2021 tv <tv> 3.680.0-1.mga9
+ Revision: 1745023
- update to 3.68

* Wed Mar 03 2021 tv <tv> 3.670.0-1.mga9
+ Revision: 1697011
- update to 3.67

* Tue Dec 01 2020 tv <tv> 3.660.0-1.mga8
+ Revision: 1651060
- update to 3.66

* Fri Sep 04 2020 tv <tv> 3.650.0-1.mga8
+ Revision: 1621572
- update to 3.65

* Wed Jun 03 2020 tv <tv> 3.640.0-1.mga8
+ Revision: 1589886
- update to 3.64

* Wed Mar 04 2020 tv <tv> 3.630.0-1.mga8
+ Revision: 1553666
- update to 3.63

* Sun Feb 16 2020 umeabot <umeabot> 3.620.0-2.mga8
+ Revision: 1530518
- Mageia 8 Mass Rebuild

* Sat Aug 31 2019 tv <tv> 3.620.0-1.mga8
+ Revision: 1435886
- update to 3.62

* Sat Jun 29 2019 shlomif <shlomif> 3.610.0-1.mga8
+ Revision: 1415596
- update to 3.61

* Fri Mar 15 2019 tv <tv> 3.600.0-1.mga7
+ Revision: 1377508
- update to 3.60

* Wed Dec 05 2018 tv <tv> 3.590.0-1.mga7
+ Revision: 1338374
- update to 3.59

* Thu Sep 20 2018 umeabot <umeabot> 3.580.0-2.mga7
+ Revision: 1284507
- Mageia 7 Mass Rebuild

* Wed Sep 12 2018 shlomif <shlomif> 3.580.0-1.mga7
+ Revision: 1258704
- update to 3.58

* Sat Jun 02 2018 shlomif <shlomif> 3.570.0-1.mga7
+ Revision: 1233669
- update to 3.57

* Wed Mar 07 2018 shlomif <shlomif> 3.560.0-1.mga7
+ Revision: 1207193
- update to 3.56

* Sun Dec 10 2017 shlomif <shlomif> 3.550.0-1.mga7
+ Revision: 1182049
- update to 3.55

* Tue Oct 03 2017 tv <tv> 3.540.0-2.mga7
+ Revision: 1165263
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 3.540.0-1.mga7
+ Revision: 1159489
- update to 3.54

* Sun Jun 19 2016 pterjan <pterjan> 3.380.0-2.mga6
+ Revision: 1029219
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 3.380.0-1.mga6
+ Revision: 1002080
- update to 3.38

* Fri Feb 19 2016 umeabot <umeabot> 3.360.0-2.mga6
+ Revision: 969638
- Mageia 6 Mass Rebuild

* Sun Sep 06 2015 sander85 <sander85> 3.360.0-1.mga6
+ Revision: 873504
- update to 3.36

* Sun Jul 05 2015 sander85 <sander85> 3.350.0-1.mga6
+ Revision: 850995
- update to 3.35

* Sun Oct 19 2014 umeabot <umeabot> 3.320.0-5.mga5
+ Revision: 788445
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 3.320.0-4.mga5
+ Revision: 745139
- Second Mageia 5 Mass Rebuild

* Tue Sep 23 2014 tv <tv> 3.320.0-3.mga5
+ Revision: 719388
- filter dependencies on private modules

* Tue Sep 16 2014 umeabot <umeabot> 3.320.0-2.mga5
+ Revision: 685242
- Mageia 5 Mass Rebuild

* Wed Sep 03 2014 sander85 <sander85> 3.320.0-1.mga5
+ Revision: 671367
- update to 3.32

* Wed Jun 04 2014 sander85 <sander85> 3.310.0-1.mga5
+ Revision: 633040
- update to 3.31

* Thu Mar 13 2014 jquelin <jquelin> 3.300.0-1.mga5
+ Revision: 602799
- update to 3.30

* Mon Feb 10 2014 jquelin <jquelin> 3.290.0-1.mga5
+ Revision: 587956
- update to 3.29

* Sat Oct 19 2013 umeabot <umeabot> 3.270.0-2.mga4
+ Revision: 534063
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 sander85 <sander85> 3.270.0-1.mga4
+ Revision: 476177
- update to 3.27

* Mon Jun 10 2013 jquelin <jquelin> 3.260.0-1.mga4
+ Revision: 441440
- update to 3.26

* Wed Mar 27 2013 jquelin <jquelin> 3.240.0-3.mga3
+ Revision: 405504
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 3.240.0-2.mga3
+ Revision: 369129
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 3.240.0-1.mga3
+ Revision: 341873
- update to 3.24

* Wed Nov 07 2012 jquelin <jquelin> 3.230.0-2.mga3
+ Revision: 315526
- perl 5.16.2 rebuild

* Mon Sep 17 2012 jquelin <jquelin> 3.230.0-1.mga3
+ Revision: 295342
- update to 3.23

* Mon Sep 17 2012 jquelin <jquelin> 3.220.0-3.mga3
+ Revision: 294849
- perl 5.16.1 rebuild

* Mon Aug 27 2012 jquelin <jquelin> 3.220.0-2.mga3
+ Revision: 284590
- perl 5.16.1 rebuild

* Mon Jun 04 2012 jquelin <jquelin> 3.220.0-1.mga3
+ Revision: 254139
- update to 3.22

* Tue Mar 06 2012 jquelin <jquelin> 3.210.0-1.mga2
+ Revision: 219805
- update to 3.21

* Mon Dec 12 2011 jquelin <jquelin> 3.200.0-1.mga2
+ Revision: 180908
- update to 3.20

* Fri Nov 04 2011 jquelin <jquelin> 3.180.0-2.mga2
+ Revision: 162812
- take priority over module bundled with perl 5.14.2

* Fri Sep 02 2011 kharec <kharec> 3.180.0-1.mga2
+ Revision: 137923
- update to 3.18

* Fri Jul 08 2011 jquelin <jquelin> 3.170.0-1.mga2
+ Revision: 120352
- update to 3.17

* Tue Mar 08 2011 jquelin <jquelin> 3.160.0-1.mga1
+ Revision: 66602
- update to 3.16

* Fri Feb 18 2011 jquelin <jquelin> 3.150.0-3.mga1
+ Revision: 53703
- rebuild

* Sat Jan 22 2011 jquelin <jquelin> 3.150.0-2.mga1
+ Revision: 32135
- mageia rebuild
- imported package perl-Locale-Codes

